OFTest suite for PMC OLT

---

# Introduction

Small suite of tests that describe the behaviour needed from the OLT for CORD.

This is based on the OFTest framework. See here for details on OFTest, including prerequisites and steps to set up: https://github.com/floodlight/oftest

---

# Running instructions

Firstly make sure the prerequisites for OFTest are installed - Python and Scapy.

Clone both the OFTest repository and this repository side-by-side. You can find oftest at https://github.com/floodlight/oftest.

You'll need to connect the OLT port and one of the ONU ports connected to interfaces on the server - for example, ONU port 1 to eth1 on the server, and OLT port 129 to eth2 on the server.

Then you can run the tests as follows:

    sudo oftest/oft --test-dir=olt-oftest/ -i 1@eth1 -i 129@eth2 --port 6633 -V 1.3

If you need to change the port numbers used, for example to use ONU port 3:

    sudo ./oftest/oft --test-dir=olt-oftest/ -i 1@h1-eth0 -i 129@h129-eth0 --port 6633 -V 1.3 --test-params="onu_port=3:olt_port:129"

---

# Running on OVS

We've also provided a Mininet topology that runs an OVS instance with port 1 and port 129 so we can run the tests and verify the correct behaviour without using the OLT. The OVS switch stands in for the OLT in the test framework.

First install Mininet and its dependencies.

Then start the switch:
     
    sudo olt-oftest/olt-topo.py

Now you can run the tests on the OVS switch using:

    sudo ./oftest/oft --test-dir=olt-oftest/ -i 1@h1-eth0 -i 129@h129-eth0 --port 6633 -V 1.3

---
